curl --request GET \
--url https://api.arize.com/v2/evaluator-versions/{version_id} \
--header 'Authorization: Bearer <token>'{
"id": "RXZhbHVhdG9yVmVyc2lvbjoxMDpYeVp3",
"evaluator_id": "RXZhbHVhdG9yOjEyOmFCY0Q=",
"commit_hash": "a3b1c9e4f7d2a0518e6c3bb9217f87d1c4e810f2",
"commit_message": "Initial version",
"type": "template",
"template_config": {
"name": "hallucination",
"template": "You are an evaluation assistant...",
"include_explanations": true,
"use_function_calling_if_available": true,
"classification_choices": {
"hallucinated": 0,
"factual": 1
},
"direction": "maximize",
"data_granularity": "span",
"llm_config": {
"ai_integration_id": "TGxtSW50ZWdyYXRpb246MTI6YUJjRA==",
"model_name": "gpt-4o",
"invocation_parameters": {
"temperature": 0
},
"provider_parameters": {}
}
},
"created_at": "2026-02-16T22:05:48.143Z",
"created_by_user_id": "VXNlcjoxOm5OYkM="
}Get a specific evaluator version by its global ID.
curl --request GET \
--url https://api.arize.com/v2/evaluator-versions/{version_id} \
--header 'Authorization: Bearer <token>'{
"id": "RXZhbHVhdG9yVmVyc2lvbjoxMDpYeVp3",
"evaluator_id": "RXZhbHVhdG9yOjEyOmFCY0Q=",
"commit_hash": "a3b1c9e4f7d2a0518e6c3bb9217f87d1c4e810f2",
"commit_message": "Initial version",
"type": "template",
"template_config": {
"name": "hallucination",
"template": "You are an evaluation assistant...",
"include_explanations": true,
"use_function_calling_if_available": true,
"classification_choices": {
"hallucinated": 0,
"factual": 1
},
"direction": "maximize",
"data_granularity": "span",
"llm_config": {
"ai_integration_id": "TGxtSW50ZWdyYXRpb246MTI6YUJjRA==",
"model_name": "gpt-4o",
"invocation_parameters": {
"temperature": 0
},
"provider_parameters": {}
}
},
"created_at": "2026-02-16T22:05:48.143Z",
"created_by_user_id": "VXNlcjoxOm5OYkM="
}Documentation Index
Fetch the complete documentation index at: https://arize-ax.mintlify.dev/docs/llms.txt
Use this file to discover all available pages before exploring further.
Most Arize AI endpoints require authentication. For those endpoints that require authentication, include your API key in the request header using the format
The evaluator version global ID (base64) A universally unique identifier
"RW50aXR5OjEyMzQ1"
Returns an evaluator version
A versioned snapshot of an evaluator's configuration. Exactly one of
template_config or code_config is present. The type field discriminates
the branch and matches the parent evaluator's type.
The unique identifier for this version
The parent evaluator ID
A unique hash identifying this version
A message describing the changes in this version
When this version was created
The unique identifier for the user who created this version
Evaluator version type. Must be template for template evaluator versions; must match the parent evaluator's type.
template The LLM template configuration for this version
Show child attributes
Was this page helpful?
Suggestions